deprecated

  use `Mocha.Runner` instead.

### Hierarchy

- IRunner

## Index

### Properties

- asyncOnly
- failures
- forbidOnly
- forbidPending
- fullStackTrace
- ignoreLeaks
- started
- stats
- suite
- total

### Methods

- abort
- globals
- grep
- grepTotal
- run

## Properties

### Optional asyncOnly

asyncOnly: undefined | false | true

- Defined in node_modules/@types/mocha/index.d.ts:2579

### failures

failures: number

- Defined in node_modules/@types/mocha/index.d.ts:2585

### Optional forbidOnly

forbidOnly: undefined | false | true

- Defined in node_modules/@types/mocha/index.d.ts:2586

### Optional forbidPending

forbidPending: undefined | false | true

- Defined in node_modules/@types/mocha/index.d.ts:2587

### Optional fullStackTrace

fullStackTrace: undefined | false | true

- Defined in node_modules/@types/mocha/index.d.ts:2588

### Optional ignoreLeaks

ignoreLeaks: undefined | false | true

- Defined in node_modules/@types/mocha/index.d.ts:2589

### started

started: boolean

- Defined in node_modules/@types/mocha/index.d.ts:2581

### Optional stats

stats: IStats

- Defined in node_modules/@types/mocha/index.d.ts:2580

### suite

suite: ISuite

- Defined in node_modules/@types/mocha/index.d.ts:2583

deprecated

  `.suite` has type `Mocha.Suite` in `Mocha.Runner`.

### total

total: number

- Defined in node_modules/@types/mocha/index.d.ts:2584

## Methods

### abort

- abort(): this

- - Defined in node_modules/@types/mocha/index.d.ts:2595

  #### Returns this

### globals

- globals(arr: ReadonlyArray<string>): this | string[]

- - Defined in node_modules/@types/mocha/index.d.ts:2594
  deprecated

    `.globals()` has different overloads in `Mocha.Runner`.

  #### Parameters

  - ##### arr: ReadonlyArray<string>

  #### Returns this | string[]

### grep

- grep(re: RegExp, invert: boolean): this

- - Defined in node_modules/@types/mocha/index.d.ts:2590

  #### Parameters

  - ##### re: RegExp

  - ##### invert: boolean

  #### Returns this

### grepTotal

- grepTotal(suite: ISuite): number

- - Defined in node_modules/@types/mocha/index.d.ts:2592
  deprecated

    Parameter `suite` has type `Mocha.Suite` in `Mocha.Runner`.

  #### Parameters

  - ##### suite: ISuite

  #### Returns number

### run

- run(fn?: undefined | function): this

- - Defined in node_modules/@types/mocha/index.d.ts:2596

  #### Parameters

  - ##### Optional fn: undefined | function

  #### Returns this

Generated using TypeDoc